## com.lowagie.text.rtf
Class RtfPageNumber

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.AbstractRtfField
              com.lowagie.text.rtf.GenericRtfField
                  com.lowagie.text.rtf.RtfPageNumber

All Implemented Interfaces:
  Element, MarkupAttributes, RtfField

Deprecated. Please move to the RtfWriter2 and associated classes. com.lowagie.text.rtf.field.RtfPageNumber replaces the functionality of this class.

    public class RtfPageNumber

extends GenericRtfField
implements RtfField

A rtf page number field. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 1.28 $Date: 2006/09/12 13:12:54 $
Author:
  Steffen.Stundzig (Steffen.Stundzig@smb-tec.com), Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private java.lang.String` `content` Deprecated.

Fields inherited from class com.lowagie.text.rtf.GenericRtfField
`fieldInst, fieldResult`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Constructor Summary
`RtfPageNumber(java.lang.String content, Font contentFont)` Deprecated. construct a RtfPageNumber.

Method Summary
`java.lang.String` `toString()` Deprecated. Returns the content of this `Chunk`.
`void` `write(RtfWriter writer, java.io.OutputStream out)` Deprecated. write this RtfField into a stream using the writer given as first argument.

Methods inherited from class com.lowagie.text.rtf.GenericRtfField
`writeRtfFieldInitializationStuff, writeRtfFieldResultStuff`

Methods inherited from class com.lowagie.text.rtf.AbstractRtfField
`content, isAlt, isDirty, isLocked, isPrivate, setAlt, setDirty, setEdited, setLocked, setPrivate, wasEdited, writeRtfFieldBegin, writeRtfFieldEnd, writeRtfFieldInstBegin, writeRtfFieldInstEnd, writeRtfFieldModifiers, writeRtfFieldResultBegin, writeRtfFieldResultEnd`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isEmpty, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    private java.lang.String content

  Deprecated.

Constructor Detail

### RtfPageNumber

    public RtfPageNumber(java.lang.String content,
                         Font contentFont)

  Deprecated.
  construct a RtfPageNumber. The parameter content will be displayed in front of the page number using the font given as second argument.

  Parameters:
    `content` - the String that will be displayed in front of the page number
    `contentFont` - the font to use to display this page number

Method Detail

### write

    public void write(RtfWriter writer,
                      java.io.OutputStream out)
               throws java.io.IOException

  Deprecated.
  write this RtfField into a stream using the writer given as first argument.

  Specified by:
    `write` in interface `RtfField`
  Overrides:
    `write` in class `AbstractRtfField`
  Parameters:
    `writer` - the RtfWriter to use to write this RtfField
    `out` - the Stream to write this RtfField into.
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Deprecated.
  Description copied from class: `Chunk`
  Returns the content of this `Chunk`.

  Specified by:
    `toString` in interface `Element`
  Overrides:
    `toString` in class `Chunk`
  Returns:
    a `String`
  See Also:
    `Element.toString()`